/**
 * JS Document.
 * @author Sandro Jordão & Blakstone P Monteiro
 */ 
_ultimoclick = new Date();

/* ****** CRUD DASHBOARD ****** */
function novoDashboard()
{
	verificarLogado();
	
	$.post(basepath + "relatorio/modalClonar", {
		tipo : 'D' 
	}, function(data){
	
		$('#listDashboards, #abaDashboards').animate({ left: '-=327' }, 100, function(){ $('#abaDashboards').fadeIn('fast'); });
	
		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '9999998'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'top' : '50%','left' : '50%','width' : '420px','height' : '200px','margin-left' : '-210px','margin-top' : '-150px', 'z-index' : '9999999'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '185px','margin-top' : '-107px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-45px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_avancar.png" onClick="criarDashboard()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '215px','margin-top' : '-45px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			
			$("#janela_modal").append(data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
		});
		
		return false;
	});

	// window.location.href = basepath + 'cadastros/caddashboards';
}

function buscaDashboardsClonar()
{
	var opcao = $('input[name=rdoDashboardClonar]:radio:checked').val();
	
	if(opcao == 'E')
		$("#comboDashboards").removeAttr("disabled");
	else
		$("#comboDashboards").attr("disabled", true).val("");
}

function criarDashboard()
{
	var opcao = $("input[name='rdoDashboardClonar']:checked").val();
	
	if(opcao == 'E')
	{
		var dashboard = $("#comboDashboards").val();
		
		if(dashboard != '')
			window.location.href = basepath + 'cadastros/alterarDashboard/' + dashboard + '/true'; // window.location.href = basepath + 'cadastros/caddashboards/' + dashboard;
		else
			return false;
	}
	else
	{
		window.location.href = basepath + 'cadastros/caddashboards';
	}
}

function editarDashboard()
{
	var dashboard = $("input[name='rdoDashboard']:checked").val();

	if(dashboard)
		window.location.href = basepath + 'cadastros/alterarDashboard/' + dashboard;
	else
		jAlert('Selecionar um dashboard para alteração!', 'Alerta!', function() { return false; });
}

function deletarDashboard()
{
	var dashboard = $("input[name='rdoDashboard']:checked").val();
	
	var ativo = $("#dashboardid").val();

	if(dashboard)
	{
		$.post(basepath + 'principal/verificarLogado', 
			function(logado) {
				if(logado == 0)
				{
					// 
					jConfirm("Deseja realmente excluir o dashboard?", 'Confirmação!',
					function(r) {
						if (r == true)
						{
							$.post(basepath + "cadastros/excluirDashboard", {
								dashboard  : dashboard,
								ativo : ativo
							}, function(data){
								if(data == 1) {
									jAlert('Dashboard excluído com sucesso!', 'Alerta!', function(){ window.location.href = basepath + 'principal/dashboard'; });
								} else {
									jAlert('Ocorreu um erro:\n ' + data, 'Alerta de erro!');
								}
							});
						}
						else
						{
							return false;
						}
					});
					//
				} 
				else
				{
					window.location.href = basepath + 'principal/' + logado;
				}
			});
	}
    else
	{
		jAlert('Selecionar um dashboard para exclusão!', 'Alerta!', function() { return false; });
	}
}

/* ****** FIM CRUD DASHBOARD ****** */

/* ****** CRUD RELATORIOS ****** */

function novoRelatorio()
{
	verificarLogado();
	
	$.post(basepath + "relatorio/modalClonar", { 
		tipo : 'R' 
	}, function(data){
	
		$('#listaRelatorios, #abaListaRelatorios').animate({ left: '-=327' }, 100, function(){ $('#abaListaRelatorios').fadeIn('fast'); });
	
		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '9999998'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'top' : '50%','left' : '50%','width' : '420px','height' : '200px','margin-left' : '-210px','margin-top' : '-150px', 'z-index' : '9999999'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '185px','margin-top' : '-107px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-45px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_avancar.png" onClick="criarRelatorio()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '215px','margin-top' : '-45px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			
			$("#janela_modal").append(data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
		});
		
		return false;
	});
}

function fechar() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

function buscaRelatoriosClonar()
{
	var opcao = $("input[name='rdoRelatorioClonar']:checked").val();
	
	var count = 0;
	$("#comboRelatorios option").each(function(){ count++ });
	
	if(opcao == 'E')
	{
		if(count > 1)
		{
			$("#comboRelatorios").removeAttr("disabled");
		}
		else
		{
			$("#comboRelatorios option").remove("");
			$("#comboRelatorios").append('<option value="">Nenhum relatório encontrado!</option>');
		}
	}
	else
	{
		if(count == 1)
		{
			$("#comboRelatorios option").remove("");
			$("#comboRelatorios").append('<option value="">&nbsp;</option>');
		}
		
		$("#comboRelatorios").attr("disabled", true).val("");
	}
}

function criarRelatorio()
{
	var opcao = $("input[name='rdoRelatorioClonar']:checked").val();
	
	if(opcao == 'E')
	{
		var relatorio = $("#comboRelatorios").val();
		
		if(relatorio != '')
			window.location.href = basepath + 'relatorio/clonar/' + relatorio;
		else
			return false;
	}
	else
	{
		window.location.href = basepath + 'principal/criar';
	}
}

function editarRelatorio()
{
	var dados = $("input[name='rdoRelatorio']:checked").val();

	if(dados)
	{
		var array = dados.split("_");
		var relatorio = array[0];
		var tipo = array[1];

		if(tipo == 'R')
			window.opener.location.href = basepath + 'personal_reports/alterarpr/' + relatorio;
		else if(tipo == 'U')
			window.opener.location.href = basepath + 'cadastros/alterarURL/' + relatorio;
		else
			window.opener.location.href = basepath + 'relatorio/alterar/' + relatorio;
	}
	else
	{
		jAlert('Selecionar um relatório para alteração!', 'Alerta!', function() { return false; });
	}
}

function deletarRelatorio()
{
	var relatorio = $("input[name='rdoRelatorio']:checked").val();

	if(relatorio)
	{
		jConfirm("Deseja realmente excluir o relatório?", 'Confirmação!',
			function(r) {
				if (r == true)
				{
					$.post(basepath + "principal/excluirReport", {
						relatorio : relatorio
					}, function(data){
						if(data == 1)
							jAlert('Relatório excluido com sucesso!' ,"Alerta!", function(){ window.location.href = basepath + 'principal/dashboard'; });
						else
							jAlert('Não foi possível excluir o relatório!' ,"Alerta!");
					});
				}
				else
				{
					return false;
				}
			});
	}
	else
	{
		jAlert('Selecionar um relatório para exclusão!', 'Alerta!', function() { return false; });
	}
}

/* ****** FIM CRUD RELATORIOS ****** */

 /**
  * Altera a posição do relatorio no dashboard
 **/
function alterarPosicao(relatorio, positionid)
{
	var topo = $("#dashboard_" + positionid).offset().top;
	var esquerda = $("#dashboard_" + positionid).offset().left;
	var dashboard = $("#dashboardid").val();

	$("#tabeladashboard").width($(document).width() - 1);
	$("#contentDashboard").width($(document).width() - 42);
	$("#headerBackgroundRight").width($(document).width() - 1);
	$("#menu").width($(document).width() - 1);

 	$.post(basepath + "principal/alteraPosicao", {
		positionid : positionid,
		relatorio : relatorio,
		dashboard : dashboard,
		topo 	  : topo,
		esquerda  : esquerda
	}, function(data){
		return true;
	});
}

function filtroPersonalizado(id, relatorio)
{
	var valor = $("#" + id).val();
	var arrayValor = valor.split(",");

	if(valor != '')
	{
		$.post(basepath + "principal/filtroPersonalizado", {
			relatorio : relatorio,
			valor : arrayValor[1]
		}, function(data){
			// MONTA AS OPCOES DO FILTRO //
			spamcampo = $("#" + id).next().next();
			spamcampo.html(data);
			
			// NUMERO //
			$('.opcaoFloat').keypress(function(e) {
				var c = String.fromCharCode(e.which);
				var allowed = '1234567890.,';
				if (e.which != 8 && allowed.indexOf(c) < 0) return false;
			});
			
			// DATA //
			var aidcampo = id.split("_");
			if(aidcampo.length > 1)
			  var idcampo =  aidcampo[1];
			else
			  var idcampo =  0;			
			  
			spamcampo.children("select[name='opcao']").attr("id", "opcao_" + idcampo);
			spamcampo.children("select[name='inputSelect']").attr("id", "inputSelect_" + idcampo);
			$(".opcaoData").mask("99/99/9999");
			
			$('.btnDivDel:first').html(imgRemover);
			
			$('.opacityImgDel:first').click(removerFiltro);
		});
	}
	else
	{
		$("#" + id).next().next().html("");
		
		return false;
	}
}

/**
 * Redimensiona a janela do relatorio no dashboard
 * - EVENTO DA FUNÇÃO RESIZABLE
**/
function redimencionarEvento(positionid, X, Y)
{
	relatorio = $("#inputIDReport" + positionid).val();
	dash = 'contentDashboard_' + positionid;
	
	var relatorioPai = $("#IDRelatorioPai" + positionid).val();
	var valoresClick = $("#ValoresClick" + positionid).val();

	var dashboard = $("#dashboardid").val();

	$.post(basepath + "principal/redimencionar", {
		gravar : 1,
		positionid : positionid,
		relatorio : relatorio,
		dashboard : dashboard,
		tamanhoX : X,
		tamanhoY : Y,
		relatorioPai : relatorioPai,
		valoresClick : valoresClick
	}, function(data){
		$('#janela').remove();
		$('#overlay').remove();

		$('#' + dash).children('div:first').before(data);
		
		$("#" + dash).resizable( "option", "disabled", false );
	});
}

/**
 * Cria imagem de carregando
 * - EVENTO FUNÇAO RESIZABLE
**/
function loadingDashboard(id)
{
	$("#" + id).children('div:first').remove();

	var overlay = '<div id="overlay"></div>';
	var overlayCSS = {'position' : 'absolute','width' : $("#" + id).width() + 'px','height' : $("#" + id).height() + 'px','left' : '0','top' : '0','background-color' : '#FFF','z-index' : '50'};

	var janela = '<div id="janela"> <img src="' + basepath + 'www/imagem/loadingReport.gif" width="80px" height="80px" /> </div>';
	var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '80px','height' : '80px','margin-left' : '-40px','margin-top' : '-40px','z-index' : '51'};

	$("#" + id).append(overlay);
	$("#" + id).append(janela);

	$('#overlay').css(overlayCSS);
	$('#janela').css(janelaCSS);
}

/**
 * A cada 10 segundos, verifica se tem algum relatorio para o refresh
**/
function RefreshDashboards()
{
	var dashboard = $("#dashboardid").val();
	
	setTimeout(function(){

		var dashboards = new Array();
		$(".divDraggable").each(function(){ dashboards.push(this.id) });

		for(var indice = 0; indice < dashboards.length; indice++)
		{
			var positionid = dashboards[indice].split("_");
			var relatorio = $("#inputIDReport" + positionid[1]).val();
			var refresh = $("#inputRefresh_" + positionid[1]).val();
			var nextRefresh = parseInt($("#inputRefreshNext_" + positionid[1]).val()) + 10;

			// Protecao contro estouro numero inteiro (se nao tem reflesh) (blak)
			if(parseInt(refresh) == 0 && nextRefresh > 300)
				nextRefresh = 0;
			
			$("#inputRefreshNext_" + positionid[1]).val(nextRefresh);

			if(nextRefresh >= parseInt(refresh) && parseInt(refresh) != 0)
			{
				$("#inputRefresh_" + positionid[1]).val('0');
				
				verificarLogado();

				$.post(basepath + "principal/refleshRelatorio", {
					relatorio : relatorio,
					positionid : positionid[1],
					dashboard : dashboard
				}, function(data) {
					var dados = data.split("-/-");
					$("#dashboard_" + dados[1]).remove();
					$('body').append(dados[0]);
					
					hoverDashboard();
					
					if(!dashBlock)
						draggableResizable();
				});
			}
		}

		RefreshDashboards();

	}, 10000);
}

/**
 * Carrega os relatorios do dashboard
**/
function carregaRelatorios()
{
	var dashboard = $("#dashboardid").val();

	setTimeout(function(){

		$.post(basepath + "principal/buscaRelatoriosDashboard", {
				dashboard : dashboard
			}, function(data){
				var dados = eval('(' + data + ')');

				if(dados.length > 0)
				{
					for(var i = 0; i < dados.length; i++)
					{
						$.post(basepath + "principal/carregaRelatorios", {
							RELATORIOID : dados[i].RELATORIOID,
							POSITIONID  : dados[i].POSITIONID,
							TIPO 		: dados[i].TIPO,
							LARGURA 	: dados[i].LARGURA,
							ALTURA 		: dados[i].ALTURA,
							NOME 		: dados[i].NOME,
							TOPO 		: dados[i].TOPO,
							ESQUERDA 	: dados[i].ESQUERDA,
							REFRESH 	: dados[i].REFRESH,
							DASHBOARD 	: dashboard
						}, function(data){
							$("#loadingDash").hide();

							$('body').append(data);
							
							hoverDashboard();

							// draggableResizable();

							$("#tabeladashboard").width($(document).width() - 1);
							$("#contentDashboard").width($(document).width() - 45);
							$("#headerBackgroundRight").width($(document).width() - 1);
							$("#menu").width($(document).width() - 1);
						});
					}

					RefreshDashboards();
				}
				else
				{
					$("#loadingDash").hide();
				}

			});

	}, 1000);

}

/**
* Fecha a janela do filtro
**/
function fecharfiltro()
{
	$("#janela_modal").fadeOut(function(){ $("#janela_modal").remove(); });
	$("#overlay").fadeOut(function(){ $("#overlay").remove(); });
}

/*
* Redesenha o dashboard com o novo filtro
*/
function redesenha(positionid, relatorio, dashboard)
{
		$.post(basepath + "principal/refleshRelatorio", {
			relatorio : relatorio,
			positionid : positionid,
			dashboard : dashboard
		}, function(data) {
			var dados = data.split("-/-");
			$("#dashboard_" + dados[1]).remove();
			$('body').append(dados[0]);
			
			hoverDashboard();
			
			draggableResizable();
		});
}

/*
* Funcao grava o filtro
*/
function gravafiltro(positionid)
{
	var X = $("#contentDashboard_" + positionid).width();
	var Y = $("#contentDashboard_" + positionid).height();
	var relatorio = $("#inputIDReport" + positionid).val();
	var dashboard = $("#dashboardid").val();
	var titulofiltro = $("#inputtitulofiltro").val();
	var tempoRefresh = $("#listaTimeRefresh").val();
	var personalizado = $("#personalizado").val();
	
	var	filtroCampo = new Array();
	var	filtroTable = new Array();	
	$(".divFiltrosMaster select[name='filtroCampos']").each(function(){ 
		var valor = $(this).val(); 
		var arrayQuebra = valor.split(","); 
		var arrayValor = new Array();
		arrayValor[0] = arrayQuebra[0];
		arrayQuebra.splice(0, 1);
		arrayValor[1] = arrayQuebra.join();
		
		if(valor != '') 
		{ 
			filtroTable.push(arrayValor[0]);
			filtroCampo.push(arrayValor[1]);
		}
	});

	var	filtroCampoID = new Array();
	var	filtroOpcao = new Array();
	$(".divFiltrosMaster select[name='opcao']").each(function(){ filtroOpcao.push($(this).val()); filtroCampoID.push(this.id); });
	var	filtroValor1 = new Array();
	$(".divFiltrosMaster input[name='valorFiltro1']").each(function(){ filtroValor1.push($(this).val()); });
	var	filtroValor2 = new Array();
	$(".divFiltrosMaster input[name='valorFiltro2']").each(function(){ filtroValor2.push($(this).val()); });
	
	// Nunca faça isso!
	var	filtroBloqueio = new Array(); 
	$(".divFiltrosMaster .fielFiltrosBloqueado").each(function(){ filtroBloqueio.push('1'); });
	$(".divFiltrosMaster .fielFiltrosEditar").each(function(){ filtroBloqueio.push('2'); });
	$(".divFiltrosMaster .fielFiltros").each(function(){ filtroBloqueio.push('0'); });
	
	var kkCont, aid;
	for(kkCont = 0; kkCont < filtroOpcao.length; kkCont++) 
	{
		if(filtroOpcao[kkCont] == 'selecionar' || filtroOpcao[kkCont] == 'filtrar') 
		{
			aid = filtroCampoID[kkCont].split("_");			
			filtroValor1[kkCont] = $("#inputSelect_" + aid[1]).val();
			filtroValor2[kkCont] = '';
		}
	}
				
	// Dados Filtro Detail
	var masterDetail = 0;
	var	filtroCampoDetail    = new Array();
	var	filtroTableDetail    = new Array();	
	var	filtroOpcaoDetail    = new Array(); 
	var	filtroValorDetail1   = new Array();
	var	filtroValorDetail2   = new Array();
	var filtroCampoIDDetail  = new Array();
	var	filtroBloqueioDetail = new Array(); 
	if( $("#tipoRelatorioDetail").length > 0 && $("#tipoRelatorioDetail").val() == 'D' )
	{
		masterDetail = 1;

		$(".divFiltrosDetail select[name='filtroCamposDetail']").each(function(){ 
			var valor = $(this).val(); 
			var arrayQuebra = valor.split(","); 
			var arrayValor = new Array();
			arrayValor[0] = arrayQuebra[0];
			arrayQuebra.splice(0, 1);
			arrayValor[1] = arrayQuebra.join(); 
			
			if(valor != '') 
			{ 
				filtroTableDetail.push(arrayValor[0]); 
				filtroCampoDetail.push(arrayValor[1]); 
			}
		});
		$(".divFiltrosDetail select[name='opcao']").each(function(){ filtroOpcaoDetail.push($(this).val()); filtroCampoIDDetail.push(this.id); });
		$(".divFiltrosDetail input[name='valorFiltro1']").each(function(){ filtroValorDetail1.push($(this).val()); });
		$(".divFiltrosDetail input[name='valorFiltro2']").each(function(){ filtroValorDetail2.push($(this).val()); });	

		// Nunca faça isso!
		$(".divFiltrosDetail .fielFiltrosBloqueado").each(function(){ filtroBloqueioDetail.push('1'); });
		$(".divFiltrosDetail .fielFiltrosEditar").each(function(){ filtroBloqueioDetail.push('2'); });
		$(".divFiltrosDetail .fielFiltrosDetail").each(function(){ filtroBloqueioDetail.push('0'); });
		
		for(kkCont = 0; kkCont < filtroOpcaoDetail.length; kkCont++) 
		{
			if(filtroOpcaoDetail[kkCont] == 'selecionar' || filtroOpcaoDetail[kkCont] == 'filtrar') 
			{
				aid = filtroCampoIDDetail[kkCont].split("_");			
				filtroValorDetail1[kkCont] = $("#inputSelectDetail_" + aid[1]).val();
				filtroValorDetail2[kkCont] = '';
			}
		}
	}
	
	$.post(basepath + "principal/salvarFiltrosDashboard", {
		relatorio  			     : relatorio,
		positionid 			     : positionid,
		titulofiltro 		     : titulofiltro,
		tempoRefresh 		     : tempoRefresh,
		personalizado 		     : personalizado,
		'filtroTable[]' 	     : filtroTable,
		'filtroCampo[]' 	     : filtroCampo,
		'filtroOpcao[]' 	     : filtroOpcao,
		'filtroValor1[]'	     : filtroValor1,
		'filtroValor2[]'	     : filtroValor2,
		'filtroBloqueio[]'		 : filtroBloqueio,
		masterDetail		     : masterDetail,
		'filtroTableDetail[]'    : filtroTableDetail,
		'filtroCampoDetail[]'    : filtroCampoDetail,
		'filtroOpcaoDetail[]'    : filtroOpcaoDetail,
		'filtroValorDetail1[]'   : filtroValorDetail1,
		'filtroValorDetail2[]'   : filtroValorDetail2,
		'filtroBloqueioDetail[]' : filtroBloqueioDetail
	}, function(data) {
	   fecharfiltro();
	   $("#dashboard_" + positionid).remove();
	   redesenha(positionid, relatorio, dashboard);
	});
}

/**
 * Cria janela filtro no dashboard
**/
function filtrar(relatorio, positionid)
{
	var dashboard = $("#dashboardid").val();
	var pageWidth = $(document).width();
	var pageHeight = $(document).height();

	$.post(basepath + "principal/filtrarRelatorioDashboard", {
		dashboard : dashboard,
		relatorio : relatorio,
		positionid : positionid
	}, function(data){
		$("#janela_modal").remove();
		$("#overlay").remove();

		var overlay = '<div id="overlay"> <input id="relatorioid" type="hidden" value="'+ relatorio +'"> </div>';
		var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '9999998'};

		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '732px','height' : '410px','margin-left' : '-362px','margin-top' : '-250px','background-color' : '#FFF','padding' : '10px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '9999999	'};

		var btnFechar = '<div id="botaoModalFechar" onClick="fecharfiltro()"></div>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '340px','margin-top' : '-210px'};

		var btnCancelar = '<input type="button" id="btn_cancelar" name="btn_cancelar" value="Cancelar" class="botao" onClick="fecharfiltro()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-111px','margin-top' : '-40px','width' : '100px'};

		var btnOK = '<input type="button" id="btn_enviar" name="btn_enviar" value="Gravar" class="botao" onClick="gravafiltro('+ positionid +')" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '525px','margin-top' : '-40px','width' : '100px'};

		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			$("#janela_modal").append(data);

			$("#janela_modal").append(btnFechar);
			$("#botaoModalFechar").css(btnFecharCSS).fadeIn("slow");

			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);

			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);

			$("#janela_modal").css(janelaCSS).fadeIn("slow");
			
			mascaras();
			
			$('.opacityImgDel').click(removerFiltro);

			$("select[name='filtroCampos']:not(.selectBloqueado), select[name='filtroCamposDetail']:not(.selectBloqueado)").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
			$("select[name='filtroCampos']:not(.selectBloqueado), select[name='filtroCamposDetail']:not(.selectBloqueado)").multiselect('refresh');
			$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});
		});
	});
}

/**
 * Coloca as mascaras nos campos dos filtros
**/
function mascaras()
{
	// Mascaras
	$(".opcaoData").mask("99/99/9999");
	$(".opcaoTime").mask("99:99:99");		
	$('.opcaoInt').keypress(function(e) {
		var c = String.fromCharCode(e.which);
		var allowed = '1234567890';
		if (e.which != 8 && allowed.indexOf(c) < 0) return false;
	});
	$('.opcaoFloat').keypress(function(e) {
		var c = String.fromCharCode(e.which);
		var allowed = '1234567890.,';
		if (e.which != 8 && allowed.indexOf(c) < 0) return false;
	});	
}

/**
 * Cria janela no dashboard
**/
function gerar(relatorio, tipo)
{
	var dashboard = $("#dashboardid").val();

	$.post(basepath + "principal/gerarRelatorioDashboard", {
		dashboard : dashboard,
		relatorio : relatorio,
		tipo : tipo
	}, function(data){

		$('#listaRelatorios, #abaListaRelatorios').animate({ left: '-=327' }, 100, function(){ $('#abaListaRelatorios').fadeIn('fast'); });

		setTimeout(function(){

			$('body').append(data);
			
			hoverDashboard();

			if(!dashBlock)
				draggableResizable();

		}, 150);
	});
}

/**
 * Listas de Dashboard/Relatorios
 * Manipulação do campo de procura
**/
function valor(id)
{
	if($('#' + id).val() == '')
	{
		$('#' + id).val('Pesquisar...');
		$('#' + id).removeClass('inputProcurarOff').addClass('inputProcurarOn');
	}
}

/**
 * Listas de Dashboard/Relatorios
 * Manipulação do campo de procura
**/
function limpar(id)
{
	if($('#' + id).val() == 'Pesquisar...')
	{
		$('#' + id).val('');
		$('#' + id).removeClass('inputProcurarOn').addClass('inputProcurarOff');
	}
}

/**
 * Listas de Dashboard/Relatorios
 * Procurar
**/
function procurar(tipo)
{
	var valor = (tipo == 1) ? $.trim($("#procurarDashboard").val()) : $.trim($("#procurarRelatorio").val());

	var dashboard = $("#dashboardid").val();

	if(valor == 'Pesquisar...') valor = '';

	if(valor.length > 2 || valor == '')
	{
		$("#btnProcurar").hide();
		$("#loadingModal").show();

		$.post(basepath + "principal/procurar", {
			dashboard : dashboard,
			valor 	  : valor,
			tipo 	  : tipo
		}, function(data) {
			if(tipo == 1)
			{
				$("#abaDashboard").html(data);

				$(".trDashboard").click(selecionarDashboard);
			}
			else
			{
				$("#abaRelatorio").html(data);

				$("#listasDashboard").slideDown('fast');

				if(valor != '')
				{
					$(".grupoContent").show();

					$(".sinal").each(function(){
						$(this).html('-');
					});
				}

				$(".trRelatorio").click(selecionarRelatorio);
			}

			$("#loadingModal").hide();
			$("#btnProcurar").show();
		});
	}
}

/**
 * Efeito Toggle nos grupos de relatorios
**/
function toggleLista(indice)
{
	if( $("#group_" + indice).is(':visible') )
	{
		$("#group_" + indice).slideUp('fast', function() {
			$("#sinal_" + indice).html('+');
		});
		
		setCookie('ultimoGrupoAberto', 0, 1);
	}
	else
	{
		$(".grupoContent").slideUp(400, function(){ 
			$(".sinal").html('+'); 
		});  
			
		setTimeout(function(){ 
			$("#sinal_" + indice).html('-'); 
			
			$("#group_" + indice).slideDown('show'); 
		}, 450);
		
		setCookie('ultimoGrupoAberto', indice, 1);
	}
}

/**
 *
**/
function selecionarRelatorio()
{
	$(this).children().children("input[name='rdoRelatorio']:first").attr('checked', true);

	$(".trSelected").removeClass('trSelected').addClass('trRelatorio');

	$(this).removeClass('trRelatorio').addClass('trSelected');

	return false;
}

/**
 * Mostra/Esconde a lista de relatorios
**/
function animateReports()
{
	emAnimacao = true;
	
	if($('#listaRelatorios').offset().left == 0)
	{
		$('#listaRelatorios, #abaListaRelatorios').animate({ left: '-=327' }, 100, function(){ $('#abaListaRelatorios').fadeIn('fast'); emAnimacao = false; });

		return false;
	}
	else
	{
		verificarLogado();
		
		var dashboard = $("#dashboardid").val();

		$.post(basepath + "principal/listaRelatorios", {
			dashboard : dashboard
		},function(data) {
			$('#listaRelatorios').html(data);
			
			var ultimoGrupoAberto = getCookie("ultimoGrupoAberto");
			if(typeof ultimoGrupoAberto != 'undefined')
			{
				$("#sinal_" + ultimoGrupoAberto).html('-'); 
				$("#group_" + ultimoGrupoAberto).show(); 
			}
			
			$('#abaListaRelatorios').fadeOut('fast');
			
			$('#listaRelatorios, #abaListaRelatorios').animate({ left: '+=327' }, 1000, function() { emAnimacao = false; });
		});

		return false;
	}
}

/**
 *
**/
function selecionarDashboard()
{
	$(this).children().children("input[name='rdoDashboard']:first").attr('checked', true);

	$(".trSelected").removeClass('trSelected').addClass('trDashboard');

	$(this).removeClass('trDashboard').addClass('trSelected');

	return false;
}

/**
 * Mostra/Esconde a lista de dashboards
**/
function animateDashboards()
{
	emAnimacao = true;
	
	if($('#listDashboards').offset().left == 0)
	{
		$('#listDashboards, #abaDashboards').animate({ left: '-=327' }, 100, function(){ $('#abaDashboards').fadeIn('fast'); emAnimacao = false; });

		return false;
	}
	else
	{
		verificarLogado();
		
		var dashboard = $("#dashboardid").val();

		$.post(basepath + "principal/listaDashboards", {
			dashboard : dashboard
		},function(data) {
			$('#listDashboards').html(data);
			
			$('#abaDashboards').fadeOut('fast');
			
			$('#listDashboards, #abaDashboards').animate({ left: '+=327' }, 1000, function() { emAnimacao = false; });

			$(".trDashboard").click(selecionarDashboard);
		});

		return false;
	}
}

/**
 * Fechar
**/
function exclude(relatorioid, positionid, temporaria)
{
	if(temporaria == undefined) 
	{
		var dashboard = $("#dashboardid").val();

		jConfirm("Deseja realmente fechar o relatório?", 'Confirmação!',
			function(r) {
				if (r == true) {
					$('#dashboard_' + positionid).fadeOut('slow',
						function(){
							$('#dashboard_' + positionid).remove();

							$.post(basepath + "principal/excluirJanelaDashboard", {
								positionid : positionid,
								relatorio : relatorioid,
								dashboard : dashboard
							}, function(data){
								return true;
							});
						});
				} else {
					return false;
				}
			});
	} 
	else 
	{
		$('#dashboard_' + positionid).fadeOut('slow', function(){ $('#dashboard_' + positionid).remove(); });
	}
}

/**
 * Minimizar
**/
function minimize(id, positionid)
{
	var w = $("#dashboard_" + positionid).width();
	
	$("#dashboard_" + positionid).width(w);

	if ($('#contentDashboard_' + positionid).is(':visible'))
	{
		var tempoRefresh = $("#inputRefresh_" + positionid).val();
		
		$("#mini_" + positionid).val(tempoRefresh);
		
		$("#inputRefresh_" + positionid).val('0');

		$('#contentDashboard_' + positionid).slideUp('slow');
		
		$('#divTitle_' + positionid).fadeIn('slow');
		
		$("#dashboard_" + positionid).addClass("divDraggableMinimize");
		
		$("#imgMaxiOn_" + positionid).hide();
		
		$("#imgMaxiOff_" + positionid).show();
	}
	else
	{
        var tempoRefresh =  $("#mini_" + positionid).val();
		
		$("#inputRefresh_" + positionid).val(tempoRefresh);
		
		$("#inputRefreshNext_" + positionid).val('0');

		$("#dashboard_" + positionid).css({ 'z-index' : positionid });

		$('#contentDashboard_' + positionid).slideDown('slow');
		
		var tipo = $.trim( $("#typeReport_" + positionid).val() );
		
		if(tipo != "U" && tipo != "R" && tipo != "T" && tipo != "D")
		{
			$('#divTitle_' + positionid).fadeOut('fast');
		}

		$("#dashboard_" + positionid).removeClass("divDraggableMinimize");
		
		$("#imgMaxiOff_" + positionid).hide();
		
		$("#imgMaxiOn_" + positionid).show();
	}
}

/**
 * Maximizar
**/
function maximize(id, positionid)
{
	var dadosJanela = $("#maxi_" + positionid).val();

	if(dadosJanela == '') 
	{
		// Dados da Janela
		var topo 	 = $("#dashboard_" + positionid).offset().top;
		var esquerda = $("#dashboard_" + positionid).offset().left;
		var largura  = $("#contentDashboard_" + positionid).width();
		var altura 	 = $("#contentDashboard_" + positionid).height();
		$("#maxi_" + positionid).val(topo + '-' + esquerda + '-' + largura + '-' + altura);

		// Tamanho da div principal
		var X = $('#contentDashboard').width() - 10;
		var Y = $('#contentDashboard').height() - 35;

		// Janela acima das outras
		$("#dashboard_" + positionid).css({ 'z-index' : '9999994' });
		
		// Borda na Janela
		$("#dashboard_" + positionid).addClass("divDraggableMaximize");

		// Ajusta a janela no canto superior esquerdo com o tamanho maximo da tela
		$("#dashboard_" + positionid).animate({ 
			'top' : '87px', 
			'left' : '34px' 
		}, 600);
		
		$("#contentDashboard_" + positionid).animate({ 
			'width' : X + 'px', 
			'height' : Y + 'px' 
		}, 600, function(){ 
			$("#dashboard_" + positionid).removeClass("divDraggableMaximize"); 
		});

		// Remove o relatorio da janela
		$('#contentDashboard_' + positionid).children('div:first').remove();

		// função que cria novamente o relatorio com os parametros
		setTimeout(function(){ resize(id, positionid, X, Y); }, 500);
		
		// Esconde o icone de minimizar
		$("#imgMiniOn_" + positionid).hide();
		$("#imgMiniOff_" + positionid).show();
	} 
	else 
	{
		// Pega os valores da janela
		var valor = dadosJanela.split("-");
		
		// Borda na Janela
		$("#dashboard_" + positionid).addClass("divDraggableMaximize");

		// Ajusta a janela com o valores
		$("#dashboard_" + positionid).animate({ 
			'top' : valor[0] + 'px', 
			'left' : valor[1] + 'px', 
			'z-index' : positionid
		}, 600);
			
		$("#contentDashboard_" + positionid).animate({ 
			'width' : valor[2] + 'px', 
			'height' : valor[3] + 'px' 
		}, 600, function(){ 
			$("#dashboard_" + positionid).removeClass("divDraggableMaximize"); 
		});

		// Limpa o campo
		$("#maxi_" + positionid).val('');

		// Remove o relatorio da janela
		$('#contentDashboard_' + positionid).children('div:first').remove();

		// função que cria novamente o relatorio com os parametros
		setTimeout(function(){ resize(id, positionid, valor[2], valor[3]); }, 500);
		
		// Mostra o icone de minimizar
		$("#imgMiniOff_" + positionid).hide();
		$("#imgMiniOn_" + positionid).show();
	}

	return false;
}

/**
 * Redimensiona a janela do relatorio no dashboard
 * - FUNÇÃO MAXIMIZE
**/
function resize(report, positionid, sizeX, sizeY)
{
	var relatorioPai = $("#IDRelatorioPai" + positionid).val();
	var valoresClick = $("#ValoresClick" + positionid).val();

	var dashboard = $("#dashboardid").val();

	$.post(basepath + "principal/redimencionar", {
		gravar : 0,
		positionid : positionid,
		relatorio : report,
		dashboard : dashboard,
		tamanhoX : sizeX,
		tamanhoY : sizeY,
		relatorioPai : relatorioPai,
		valoresClick : valoresClick
	}, function(data){
		$('#contentDashboard_' + positionid).children('div:first').before(data);
	});
}

/**
 *
**/
function verificaDashboard()
{
	var dashboard = $("#dashboardid").val();

	if(dashboard == 0)
	{
		$('#abaListaRelatorios').hide();
	}
	else
	{
		$.post(basepath + "principal/verificaDashboard", {
			dashboard : dashboard
		}, function(data) {
			if(data == 1)
				$('#abaListaRelatorios').show();
			else
				$('#abaListaRelatorios').hide();
		});
	}
}

function VinculaClickDashboard(relatorio, valores, x, y, position)
{
	agora = new Date();	
	segundos = (agora.getTime() - _ultimoclick.getTime()) / 1000;
	
	// if(!dashBlock)
	// {
		if(segundos > 1) 
		{
			_ultimoclick = new Date();
			
			$.post(basepath + "principal/ShowVinculoRelatorioProcura", {
				relatorio : relatorio,
				valores	: valores
			}, function(data) { 
				var valores1 = data.split(",");
				
				if(valores1[0] == 1) 
				{
					window.open(valores1[1], "_blank");
				} 
				else 
				{
					if(valores1[0] == 2)
					{
						var janela = '<div id="showVinculoLoading">Processando vínculo... <br><br> <img src="' + basepath + 'www/imagem/loadingReport.gif" width="85px" align="absmiddle" /></div>';
						var janelaCSS = {'top' : y + 'px','left' : x + 'px', 'z-index' : '999' + (position + 1)};

						$("body").append(janela);
						$("#showVinculoLoading").css(janelaCSS);
					}

					$.post(basepath + "principal/ShowVinculoDashboard", {
						relatorio   : relatorio,
						position    : position,
						valores     : valores,
						x			: x,
						y			: y
					}, function(data) { 
						$("#showVinculoLoading").remove();
						
						if(data != "") 
						{
							$('body').append(data);
							
							// hoverDashboard();
					
							$(".divDraggable").draggable({ 
								containment: '#contentDashboard', 
								handle: ".divTitle", 
								grid: [ 5, 5 ]
							});
							
							$(".divTitle").css("cursor", "move");
					
							$(".contentDashboardDados").resizable({
								minHeight: 350,
								minWidth: 210,
								grid: [ 5, 5 ],
								start: function(event, ui) {
									loadingDashboard(this.id);
								},
								stop: function(event, ui) {
									quebra = this.id.split("_");
									redimencionarEvento(quebra[1], ui.size.width, ui.size.height);
								}
							});
							
							// alert(this.id);
							
			// // Sombra
			// $("#" + this.id).addClass('divDraggableHover');
			// 
			// Botões
			// $(".hoverImg").show();
			// 
			// // Resizable 
			// $("#" + this.id).children().children('.ui-resizable-se').css({ 'opacity' : '1', '-moz-opacity' : '1', 'filter' : 'alpha(opacity=100)' });
			// 
			// // Scroll
			// $("#" + this.id).find(".ui-jqgrid-bdiv").css("overflow", "auto");
			
						}
					});
				}
			});
		}
	// }
}

function trocarAbaDetail(abaDetail)
{
	tabs = $("#tabsDetail").children('ul').children();
	divs = $("#tabsDetail").children('div');
	
	tabs.removeClass('in');
	$(tabs[abaDetail]).addClass('in');
	
	divs.hide();
	$(divs[abaDetail]).fadeIn('slow');
}

/**
 * Mouse Over
**/
function hoverDashboard()
{
	// Esconde o Scroll dos Grids
	$(".ui-jqgrid-bdiv").css("overflow", "hidden");
	
	// Mouse
	$(".divDraggable, .divNoDraggable").mouseenter(function() { 
		
		// Bloqueio do Dashboard
		if(!dashBlock)
		{
			// Sombra
			$("#" + this.id).addClass('divDraggableHover');
			
			// Botões
			$("#" + this.id + " .hoverImg").show();
			
			// Resizable 
			$("#" + this.id).children().children('.ui-resizable-se').css({ 'opacity' : '1', '-moz-opacity' : '1', 'filter' : 'alpha(opacity=100)' });
			
			// Scroll
			$("#" + this.id).find(".ui-jqgrid-bdiv").css("overflow", "auto");
		}
	 
	}).mouseleave(function(){  
	
		// Bloqueio do Dashboard
		if(!dashBlock)
		{
			// Remove a Sombra
			$("#" + this.id).removeClass('divDraggableHover');
			
			// Remove os Botões
			$("#" + this.id + " .hoverImg").hide();
			
			// Remove Resizable 
			$("#" + this.id).children().children('.ui-resizable-se').css({ 'opacity' : '0.01', '-moz-opacity' : '0.01', 'filter' : 'alpha(opacity=1)' });
			
			// Remove o Scroll
			$("#" + this.id).find(".ui-jqgrid-bdiv").css("overflow", "hidden");
		}
	});
}

/**
 * Melhorias no Redimencionamento e Deslocamento das janelas
**/
function draggableResizable()
{
	$(".divDraggable").draggable({ 
		containment: '#contentDashboard', 
		handle: ".divTitle",
		grid: [ 5, 5 ],
		stop: function(event, ui) {
			var explode = this.id.split("_");
			var positionid = explode[1];
			var relatorio = $("#inputIDReport" + positionid).val();
			alterarPosicao(relatorio, positionid);
		}
	});
	
	$(".divTitle").css("cursor", "move");
	
	$(".contentDashboardDados").resizable({
		minWidth: 350,
		minHeight: 210,
		grid: [ 5, 5 ],
		start: function(event, ui) {
			loadingDashboard(this.id);
		},
		stop: function(event, ui) {
			quebra = this.id.split("_");
			
			$("#contentDashboard_" + quebra[1]).resizable( "option", "disabled", true );
			
			redimencionarEvento(quebra[1], ui.size.width, ui.size.height);
		}
	});
}

/**
 * Screnshot do Dashboard
**/
function tirarFoto()
{
	$(".divDraggable").each(function(){
		canvg();
	});
	
	var overlay = '<div id="overlayFoto"></div>';
	var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','background-color' : '#FFFFFF','opacity' : '0.95','filter' : 'alpha(opacity=95)', 'z-index' : '9999999999'};
		
	$("body").append(overlay);
	
	$("#overlayFoto").css(overlayCSS).fadeOut(1000, function(){
		html2canvas( [ document.body ], {
			onrendered: function( canvas ) {
				var screenshot = canvas.toDataURL();
				var dashboard = $("#dashboardid").val();

				$.post(basepath + "principal/SalvaImagem", {
					dashboard : dashboard,
					img       : screenshot
				}, function(data) {
					if(window.opener)
						window.opener.location.reload();
						
					location.reload();
				});
			}
		});
	});
}

function previewTheme()
{
	var tema = $.trim($("#temaDashboard").val());
	var fundo = ($("#backgroundDashboard").is(':checked')) ? 'T' : 'F';
	
	$("#previewThemeDashboard").fadeOut('fast', function(){ $("#previewThemeDashboard").html(''); });
	
	$.post(basepath + "principal/visualizarTemasImg", {
		tema : tema,
		fundo : fundo
	}, function(data) {
		setTimeout(function(){ $("#previewThemeDashboard").html(data).fadeIn('slow'); }, 400);
	});
}

/**
 *
**/
function configuracoes()
{
	var dashboard = $("#dashboardid").val();

	$.post(basepath + "principal/modalConfiguracaoDashboard", {
		dashboard : dashboard
	}, function(data){
		$("#modalConfig").remove();
		$("#overlay").remove();

		var overlay = '<div id="overlay"> </div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '9999998'};

		var janela = '<div id="modalConfig"></div>';
		var janelaCSS = {'width' : '582px','height' : '460px','margin-left' : '-285px','margin-top' : '-250px','z-index' : '9999999	'};

		var btnFechar = '<div id="botaoModalFechar" onClick="fecharConfig()"></div>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '260px','margin-top' : '-235px'};

		var btnCancelar = '<input type="button" id="btn_cancelar" name="btn_cancelar" value="Cancelar" class="botao" onClick="fecharConfig()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-120px','margin-top' : '-40px','width' : '100px'};

		var btnOK = '<input type="button" id="btn_enviar" name="btn_enviar" value="Gravar" class="botao" onClick="gravarTema()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '360px','margin-top' : '-40px','width' : '100px'};

		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			$("#modalConfig").append(data);
			
			previewTheme();

			$("#modalConfig").append(btnFechar);
			$("#botaoModalFechar").css(btnFecharCSS).fadeIn("slow");

			$("#modalConfig").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);

			$("#modalConfig").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);

			$("#modalConfig").css(janelaCSS).fadeIn("slow");
		});
	});
}

/**
 *
**/
function fecharConfig()
{
	$("#modalConfig").fadeOut(function(){ $("#modalConfig").remove(); });
	$("#overlay").fadeOut(function(){ $("#overlay").remove(); });
}

/**
 *
**/
function gravarTema()
{
	var tema = $("#temaDashboard").val();
	var background = ($("#backgroundDashboard").is(':checked')) ? 'T' : 'F';
	var dashboard = $("#dashboardid").val();
	
	$.post(basepath + "principal/salvarTemaDashboard", {
		tema : tema,
		dashboard : dashboard,
		background : background
	}, function(data) {
		window.location.href = basepath + 'principal/mostradashboard/' + dashboard;
	});
}

/**
 *
**/
function bloquear()
{
	if(dashBlock)
	{
		$('#imgIconeBloquear').attr('src', imgUnblock);
		
		$('#divIconeBloquear').attr('title', 'Bloquear');
		
		draggableResizable();
		
		$(".divTitle").css("cursor", "move");
	}
	else
	{
		$('#imgIconeBloquear').attr('src', imgBlock);
		
		$('#divIconeBloquear').attr('title', 'Desbloquear');
		
		$(".divDraggable").draggable("destroy");
		$(".contentDashboardDados").resizable("destroy");
		
		$(".divTitle").css("cursor", "default");
	}

	dashBlock = !dashBlock;
}

/**
 *
**/
function initBloquearDasboard()
{
	imgBlock = basepath + 'www/imagem/themes/block.png';
	
	imgUnblock = basepath + 'www/imagem/themes/unblock.png';
	
	dashBlock = true;
	
	$([ imgBlock, imgUnblock ]).each(function(){ $('<img/>')[0].src = this; new Image().src=this; });
}

/**
 * Função Inicial
**/
function init()
{
	// Altura e Largura da Pagina
	pageWidth = $(document).width();
	pageHeight = $(document).height();
	
	// Bloqueio do Dashboard
	initBloquearDasboard();
		
	// Nome do dashboard
	$(".nameDashboard").html($("#dashboardname").val());

	// Verifica autor do dashboard
	verificaDashboard();

	// Abre/Fecha a lista de dashboards
	$('#abaDashboards').click(function(e) { e.stopPropagation(); if(!emAnimacao) { animateDashboards(); } });

	// Abre/Fecha a lista de relatorios
	$('#abaListaRelatorios').click(function(e) { e.stopPropagation(); if(!emAnimacao) { animateReports(); } });

	// Carrega os relatorios conforme dashboard
	carregaRelatorios();
	
	// GRADIENTE DOS GRAFICOS
	Highcharts.getOptions().colors = $.map(Highcharts.getOptions().colors, function(color) { return { radialGradient: { cx: 0.9, cy: 0.6, r: 1.0 }, stops: [[0, color],[1, Highcharts.Color(color).brighten(-0.15).get('rgb')]]}; });
}
var emAnimacao = false;
$(document).ready(init);